i2p.susi.webmail

## Class WebMail

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - i2p.susi.webmail.WebMail

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig

      public class WebMail
      extends HttpServlet

  Main webmail application class providing email functionality for I2P.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_BACKGROUND_CHECK`
    `static String` | `CONFIG_CHECK_MINUTES`
    `static String` | `CONFIG_IDLE_SECONDS`
    `(package private) static String` | `CONFIG_LEAVE_ON_SERVER`
    `static String` | `DIR_DRAFTS`
    `(package private) static String` | `DIR_FOLDER`
    `static String` | `DIR_SENT`
    `(package private) static String` | `SORT_DATE`
    `(package private) static String` | `SORT_DEFAULT`
    `(package private) static String` | `SORT_ID`
    `(package private) static Folder.SortOrder` | `SORT_ORDER_DEFAULT`
    `(package private) static String` | `SORT_SENDER`
    `(package private) static String` | `SORT_SIZE`
    `(package private) static String` | `SORT_SUBJECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebMail()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
    `void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
    `boolean` | `isOverrideCssActive()` Determine if a user-provided override.css file is active
    `(package private) static String` | `quoteHTML(String line)` prepare line for presentation between html tags Escapes html tags
    `static boolean` | `safeEquals(String a, String b)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_BACKGROUND_CHECK

          public static final String CONFIG_BACKGROUND_CHECK

      See Also:
        Constant Field Values

    - #### CONFIG_CHECK_MINUTES

          public static final String CONFIG_CHECK_MINUTES

      See Also:
        Constant Field Values

    - #### CONFIG_IDLE_SECONDS

          public static final String CONFIG_IDLE_SECONDS

      See Also:
        Constant Field Values

    - #### CONFIG_LEAVE_ON_SERVER

          static final String CONFIG_LEAVE_ON_SERVER

      See Also:
        Constant Field Values

    - #### DIR_DRAFTS

          public static final String DIR_DRAFTS

    - #### DIR_FOLDER

          static final String DIR_FOLDER

      See Also:
        Constant Field Values

    - #### DIR_SENT

          public static final String DIR_SENT

    - #### SORT_DATE

          static final String SORT_DATE

      See Also:
        Constant Field Values

    - #### SORT_DEFAULT

          static final String SORT_DEFAULT

      See Also:
        Constant Field Values

    - #### SORT_ID

          static final String SORT_ID

      See Also:
        Constant Field Values

    - #### SORT_ORDER_DEFAULT

          static final Folder.SortOrder SORT_ORDER_DEFAULT

    - #### SORT_SENDER

          static final String SORT_SENDER

      See Also:
        Constant Field Values

    - #### SORT_SIZE

          static final String SORT_SIZE

      See Also:
        Constant Field Values

    - #### SORT_SUBJECT

          static final String SORT_SUBJECT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebMail

          public WebMail()

  - ### Method Detail

    - #### doGet

          public void doGet(HttpServletRequest request,
                            HttpServletResponse response)
                     throws IOException,
                            ServletException

      Overrides:
        `doGet` in class `HttpServlet`
      Throws:
        `IOException`
        `ServletException`

    - #### doPost

          public void doPost(HttpServletRequest request,
                             HttpServletResponse response)
                      throws IOException,
                             ServletException

      Overrides:
        `doPost` in class `HttpServlet`
      Throws:
        `IOException`
        `ServletException`

    - #### isOverrideCssActive

          public boolean isOverrideCssActive()

      Determine if a user-provided override.css file is active

    - #### quoteHTML

          static String quoteHTML(String line)

      prepare line for presentation between html tags Escapes html tags
      Parameters:
        `line` - null OK
      Returns:
        escaped string or "" for null input

    - #### safeEquals

          public static boolean safeEquals(String a,
                                           String b)